Package org.eclipse.gef.mvc.fx.parts

# Class IBendableContentPart.BendPoint

java.lang.Object
org.eclipse.gef.mvc.fx.parts.IBendableContentPart.BendPoint

Enclosing interface:
  IBendableContentPart<V extends Node>

public static class IBendableContentPart.BendPoint extends Object
A representation of a bend point, which is defined either by a point or by a content anchorage to which the content is attached.

## Constructor Summary

Constructors
Constructor
Description
`BendPoint(Object contentAnchorage, Point position)`
Creates a new attached bend point.
`BendPoint(Point position)`
Creates a new unattached bend point.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Object`
`getContentAnchorage()`
The content element to which the bend point is attached.
`Point`
`getPosition()`
The position of the unattached bend point or the (optional) position hint for an attached bend point.
`int`
`hashCode()`
`boolean`
`isAttached()`
Whether this bend point is defined through an attachment of a content anchorage.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BendPoint

public BendPoint(Object contentAnchorage, Point position)
Creates a new attached bend point.

Parameters:
  `contentAnchorage` - The content anchorage, to which the point is attached.
  `position` - A position (hint) for the attached bend point.

### BendPoint

public BendPoint(Point position)
Creates a new unattached bend point.

Parameters:
  `position` - The position of the bend point.

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getContentAnchorage

public Object getContentAnchorage()
The content element to which the bend point is attached.

Returns:
  The content element to which the bend point is attached.

### getPosition

public Point getPosition()
The position of the unattached bend point or the (optional) position hint for an attached bend point.

Returns:
  A point representing the position if the bend point is not attached, or a position hint for an attached bend point.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### isAttached

public boolean isAttached()
Whether this bend point is defined through an attachment of a content anchorage.

Returns:
  `true` if the bend point is defined through an attachment, `false` if the bend point is defined through a position.

### toString

public String toString()

Overrides:
  `toString` in class `Object`